# $Revision: 1.7 $, $Date: 2006/07/25 19:56:59 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (requires webserver package via Apache::TestRunPerl)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Apache
%define		pnam	Session-Wrapper
Summary:	Apache::Session::Wrapper - A simple wrapper around Apache::Session
Summary(pl):	Apache::Session::Wrapper - prosty wrapper na Apache::Session
Name:		perl-Apache-Session-Wrapper
Version:	0.31
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	2a5d87f389a5cc8c0d14a248cb1cc291
URL:		http://search.cpan.org/dist/Apache-Session-Wrapper/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Apache-Session >= 1:1.81
BuildRequires:	perl-Class-Container
BuildRequires:	perl-Exception-Class
BuildRequires:	perl-Params-Validate >= 0.7
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is a simple wrapper around Apache::Session which provides
some methods to simplify getting and setting the session id.

%description -l pl
Ten modu jest prostym wrapperem na Apache::Session dostarczajcym
metody upraszczajce uzyskiwanie i ustawianie identyfikatorw sesji.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	destdir=$RPM_BUILD_ROOT \
	installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Apache/*/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Apache-Session-Wrapper.spec,v $
Revision 1.7  2006/07/25 19:56:59  glen
- up to 0.31, (tests disabled), generic URL

Revision 1.6  2006/02/17 14:23:14  glen
- 0.26

Revision 1.5  2004/11/03 13:21:17  paladine
- spaces->tabs
- formatting

Revision 1.4  2004/08/11 21:42:49  radek
- release 2

Revision 1.3  2004/08/11 21:34:44  radek
- removed BR: Apache::Cookie

Revision 1.2  2004/06/04 21:45:03  qboosh
- pl, some cleanups

Revision 1.1  2004/06/04 21:30:54  radek
- new, autogenerated
